<!-- Improved compatibility of back to top link: See: https://github.com/othneildrew/Best-README-Template/pull/73 -->

<a name="readme-top"></a>

<!--
*** Thanks for checking out the Best-README-Template. If you have a suggestion
*** that would make this better, please fork the repo and create a pull request
*** or simply open an issue with the tag "enhancement".
*** Don't forget to give the project a star!
*** Thanks again! Now go create something AMAZING! :D
-->

<!-- PROJECT SHIELDS -->
<!--
*** I'm using markdown "reference style" links for readability.
*** Reference links are enclosed in brackets [ ] instead of parentheses ( ).
*** See the bottom of this document for the declaration of the reference variables
*** for contributors-url, forks-url, etc. This is an optional, concise syntax you may use.
*** https://www.markdownguide.org/basic-syntax/#reference-style-links
-->

[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]

<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/dziwuj/react-double-range-slider">
    <img src="src/images/react-range-slider-screenshot.png" alt="Image" width="500" height="700">
  </a>

<h3 align="center">react-double-range-slider</h3>

  <p align="center">
    A customizable React slider used for getting range of values
    <br />
    <a href="https://github.com/dziwuj/react-double-range-slider"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://codesandbox.io/s/react-double-range-slider-xi8i2r">View Demo</a>
    ·
    <a href="https://github.com/dziwuj/react-double-range-slider/issues">Report Bug</a>
    ·
    <a href="https://github.com/dziwuj/react-double-range-slider/issues">Request Feature</a>
  </p>
</div>
  </br>

<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#installation">Installation</a></li>
        <!-- <li><a href="#installation">Installation</a></li> -->
      </ul>
    </li>
    <li>
      <a href="#usage">Usage</a>
      <ul>
          <li><a href="#props">Props</a></li>
      </ul>
    </li>
    <!-- <li><a href="#roadmap">Roadmap</a></li> -->
    <li><a href="#contributing">Contributing</a></li>
    <!-- <li><a href="#license">License</a></li> -->
    <li><a href="#contact">Contact</a></li>
    <!-- <li><a href="#acknowledgments">Acknowledgments</a></li> -->
  </ol>
</details>

<!-- ABOUT THE PROJECT -->
<!--
## About The Project

Here's a blank template to get started: To avoid retyping too much info. Do a search and replace with your text editor for the following: `react-double-range-slider`, `linkedin_username`, `email_client`, `email`, `project_description`

<p align="right">(<a href="#readme-top">back to top</a>)</p> -->
  </br>

### Built With

[![React][react.js]][react-url]
[![Typescript][typescript]][typescript-url]

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- GETTING STARTED -->

## Getting Started

To use this package you just have to install it from npm.

### Installation

Install library on your device

-   npm

    ```sh
    npm install react-double-range-slider
    ```

-   yarn
    ```sh
    yarn add react-double-range-slider
    ```

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ### Installation

1. Get a free API Key at [https://example.com](https://example.com)
2. Clone the repo
    ```sh
    git clone https://github.com/dziwuj/react-double-range-slider.git
    ```
3. Install NPM packages
    ```sh
    npm install
    ```
4. Enter your API in `config.js`
    ```js
    const API_KEY = "ENTER YOUR API";
    ```

<p align="right">(<a href="#readme-top">back to top</a>)</p> -->

<!-- USAGE EXAMPLES -->

## Usage

To use this component you have to import RangeSlider from library. Additionally it is recommended to also import default styles.

```js
import { RangeSlider } from "react-double-range-slider";
import "react-double-range-slider/dist/cjs/index.css";
```

This will probably change in the future to improve user experience.

_For example, please refer to the [Code sandbox](https://codesandbox.io/s/react-double-range-slider-xi8i2r)_

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Props

| Name              | Type                                               | Required | Default                                                                               | Description                                     |
| ----------------- | -------------------------------------------------- | -------- | ------------------------------------------------------------------------------------- | ----------------------------------------------- |
| value             | {min: `number`, max: `number`} \| Array [`string`] | Yes      |                                                                                       | Values used in array                            |
| onChange          | (x: `any`) => `void`;                              | Yes      | (x: `any`)=> { min: `string`, max: `string`, minIndex: `number`, maxIndex: `number` } | Callback function called when the value changes |
| formatter         | (value: `number` \| `string`) => `string`;         | No       | (value) => value;                                                                     | Function used to change label format            |
| from              | `number` \| `string`                               | No       | value.min \| value[value.length-1]                                                    | Default start position                          |
| to                | `number` \| `string`                               | No       | value.max \| value[0]                                                                 | Default end position                            |
| tooltipVisibility | `"always"` \| `"hover"` \| `"never"`               | No       | `"always"`                                                                            | Tooltip display type                            |
| tooltipPosition   | `"under"` \| `"over"`                              | No       | `"over"`                                                                              | Tooltip position                                |
| hasSteps          | `boolean `                                         | No       | `false`                                                                               | Determines if slider should have steps          |

</br><p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ROADMAP -->
<!--
## Roadmap

-   [ ] Feature 1
-   [ ] Feature 2
-   [ ] Feature 3
    -   [ ] Nested Feature

See the [open issues](https://github.com/dziwuj/react-double-range-slider/issues) for a full list of proposed features (and known issues).

<p align="right">(<a href="#readme-top">back to top</a>)</p> -->

<!-- CONTRIBUTING -->

## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- LICENSE -->

<!-- ## License

Distributed under the MIT License. See `LICENSE.txt` for more information.

<p align="right">(<a href="#readme-top">back to top</a>)</p> -->

<!-- CONTACT -->

## Contact

Zbyszko Sobecki - [@sobecki_zbyszko](https://twitter.com/sobecki_zbyszko) - sobeckizbyszko@gmail.com

Project Link: [https://github.com/dziwuj/react-double-range-slider](https://github.com/dziwuj/react-double-range-slider)

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ACKNOWLEDGMENTS -->

<!-- ## Acknowledgments

-   []()
-   []()
-   []()

<p align="right">(<a href="#readme-top">back to top</a>)</p> -->

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->

[contributors-shield]: https://img.shields.io/github/contributors/dziwuj/react-double-range-slider.svg?style=for-the-badge
[contributors-url]: https://github.com/dziwuj/react-double-range-slider/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/dziwuj/react-double-range-slider.svg?style=for-the-badge
[forks-url]: https://github.com/dziwuj/react-double-range-slider/network/members
[stars-shield]: https://img.shields.io/github/stars/dziwuj/react-double-range-slider.svg?style=for-the-badge
[stars-url]: https://github.com/dziwuj/react-double-range-slider/stargazers
[issues-shield]: https://img.shields.io/github/issues/dziwuj/react-double-range-slider.svg?style=for-the-badge
[issues-url]: https://github.com/dziwuj/react-double-range-slider/issues
[license-shield]: https://img.shields.io/github/license/dziwuj/react-double-range-slider.svg?style=for-the-badge
[license-url]: https://github.com/dziwuj/react-double-range-slider/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://linkedin.com/in/zbyszkosobecki/
[product-screenshot]: images/screenshot.png
[next.js]: https://img.shields.io/badge/next.js-000000?style=for-the-badge&logo=nextdotjs&logoColor=white
[next-url]: https://nextjs.org/
[react.js]: https://img.shields.io/badge/React-20232A?style=for-the-badge&logo=react&logoColor=61DAFB
[react-url]: https://reactjs.org/
[typescript]: https://img.shields.io/badge/TypeScript-20232A?style=for-the-badge&logo=TypeScript&logoColor=3178C6
[typescript-url]: https://typescriptlang.org/
[vue.js]: https://img.shields.io/badge/Vue.js-35495E?style=for-the-badge&logo=vuedotjs&logoColor=4FC08D
[vue-url]: https://vuejs.org/
[angular.io]: https://img.shields.io/badge/Angular-DD0031?style=for-the-badge&logo=angular&logoColor=white
[angular-url]: https://angular.io/
[svelte.dev]: https://img.shields.io/badge/Svelte-4A4A55?style=for-the-badge&logo=svelte&logoColor=FF3E00
[svelte-url]: https://svelte.dev/
[laravel.com]: https://img.shields.io/badge/Laravel-FF2D20?style=for-the-badge&logo=laravel&logoColor=white
[laravel-url]: https://laravel.com
[bootstrap.com]: https://img.shields.io/badge/Bootstrap-563D7C?style=for-the-badge&logo=bootstrap&logoColor=white
[bootstrap-url]: https://getbootstrap.com
[jquery.com]: https://img.shields.io/badge/jQuery-0769AD?style=for-the-badge&logo=jquery&logoColor=white
[jquery-url]: https://jquery.com
