import React from 'react';

interface Simple {
    min: number;
    max: number;
}
interface Output {
    min: string;
    max: string;
    minIndex: number;
    maxIndex: number;
}
interface RangeSliderProps {
    hasSteps?: boolean;
    tooltipVisibility?: "always" | "hover" | "never";
    tooltipPosition?: "under" | "over";
    value: Simple | (number | string)[];
    from?: number | string;
    to?: number | string;
    formatter?: (value: number | string) => string;
    onChange: (value: Output) => void;
}

declare const RangeSlider: React.FC<RangeSliderProps>;

export { RangeSlider };
